# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: Apache-2.0

# These SRC_URIs are the gitee repositories of the OpenHarmony v3.0
# sources needed to build the Standard Linux target.

# Some of these repositories have lfs content but these are not needed
# to build the OpenHarmony standard system components and are explicitly
# disabled with the lfs=0 option in their SRC_URI entries.

GITEE_URL = "git://gitee.com/openharmony"
OH_SRCDIR = "src"
S = "${WORKDIR}/${OH_SRCDIR}"

# This China mirror backs up gitee source repositories
PREMIRRORS:append = " git://gitee.com/.* http://114.116.235.68/source-mirror/ \n "

SRC_URI += "${GITEE_URL}/applications_hap.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=applications_hap;destsuffix=${OH_SRCDIR}/applications/standard/hap"
SRCREV_applications_hap = "0abaa472ca5164e109b5d55e9ee216ff3b9a6136"
SRCREV_FORMAT .= "+applications_hap"
SRC_URI += "${GITEE_URL}/ark_js_runtime.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=ark_js_runtime;destsuffix=${OH_SRCDIR}/ark/js_runtime"
SRCREV_ark_js_runtime = "3ec6b98a29f6759894defb921127b58393f91f94"
SRCREV_FORMAT .= "+ark_js_runtime"
SRC_URI += "${GITEE_URL}/ark_runtime_core.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=ark_runtime_core;destsuffix=${OH_SRCDIR}/ark/runtime_core"
SRCREV_ark_runtime_core = "13a664ca53b5d815248933e95be074160c5edf15"
SRCREV_FORMAT .= "+ark_runtime_core"
SRC_URI += "${GITEE_URL}/ark_ts2abc.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=ark_ts2abc;destsuffix=${OH_SRCDIR}/ark/ts2abc"
SRCREV_ark_ts2abc = "748afa32928da22beac4d6b70e31798e7186c27f"
SRCREV_FORMAT .= "+ark_ts2abc"
SRC_URI += "${GITEE_URL}/account_os_account.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=account_os_account;destsuffix=${OH_SRCDIR}/base/account/os_account"
SRCREV_account_os_account = "2ce322ef90adb0ebd28801b585f96bce6ea50afe"
SRCREV_FORMAT .= "+account_os_account"
SRC_URI += "${GITEE_URL}/js_api_module.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=js_api_module;destsuffix=${OH_SRCDIR}/base/compileruntime/js_api_module"
SRCREV_js_api_module = "34d4a108dfc63ee5e342033bf996adc17ee5c7f6"
SRCREV_FORMAT .= "+js_api_module"
SRC_URI += "${GITEE_URL}/js_sys_module.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=js_sys_module;destsuffix=${OH_SRCDIR}/base/compileruntime/js_sys_module"
SRCREV_js_sys_module = "e81028129d2cfd82f83b91711142ee1a585150ea"
SRCREV_FORMAT .= "+js_sys_module"
SRC_URI += "${GITEE_URL}/js_util_module.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=js_util_module;destsuffix=${OH_SRCDIR}/base/compileruntime/js_util_module"
SRCREV_js_util_module = "7eaa6c3cc31fc809fe4927884c4204366c999404"
SRCREV_FORMAT .= "+js_util_module"
SRC_URI += "${GITEE_URL}/js_worker_module.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=js_worker_module;destsuffix=${OH_SRCDIR}/base/compileruntime/js_worker_module"
SRCREV_js_worker_module = "8a5a54674c53f5aaccdd00f5aab2a374c7c01b5f"
SRCREV_FORMAT .= "+js_worker_module"
SRC_URI += "${GITEE_URL}/global_i18n_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=global_i18n_standard;destsuffix=${OH_SRCDIR}/base/global/i18n_standard"
SRCREV_global_i18n_standard = "c482ef59ca4cc812ac7b821c13daa79d47eeef31"
SRCREV_FORMAT .= "+global_i18n_standard"
SRC_URI += "${GITEE_URL}/global_resmgr_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=global_resmgr_standard;destsuffix=${OH_SRCDIR}/base/global/resmgr_standard"
SRCREV_global_resmgr_standard = "82e075b9b79b5a773bd65dd4397819d3dee552eb"
SRCREV_FORMAT .= "+global_resmgr_standard"
SRC_URI += "${GITEE_URL}/hiviewdfx_faultloggerd.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_faultloggerd;destsuffix=${OH_SRCDIR}/base/hiviewdfx/faultloggerd"
SRCREV_hiviewdfx_faultloggerd = "9718c54601aade3c79c2effa47b3d1d4b8a28b45"
SRCREV_FORMAT .= "+hiviewdfx_faultloggerd"
SRC_URI += "${GITEE_URL}/hiviewdfx_hiappevent.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hiappevent;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hiappevent"
SRCREV_hiviewdfx_hiappevent = "0aaa7a05ffad1fb384aae1d05d3aeb4b5b277d76"
SRCREV_FORMAT .= "+hiviewdfx_hiappevent"
SRC_URI += "${GITEE_URL}/hiviewdfx_hichecker.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hichecker;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hichecker"
SRCREV_hiviewdfx_hichecker = "9855392c445182a7694db8e2d837acceb8610ef4"
SRCREV_FORMAT .= "+hiviewdfx_hichecker"
SRC_URI += "${GITEE_URL}/hiviewdfx_hicollie.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hicollie;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hicollie"
SRCREV_hiviewdfx_hicollie = "bf3cac306862d52ef63a3df0e291ba71dbd3d98f"
SRCREV_FORMAT .= "+hiviewdfx_hicollie"
SRC_URI += "${GITEE_URL}/hiviewdfx_hilog.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hilog;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hilog"
SRCREV_hiviewdfx_hilog = "af86c804b755a6aeb2376cbfd74f1de7430e634a"
SRCREV_FORMAT .= "+hiviewdfx_hilog"
SRC_URI += "${GITEE_URL}/hiviewdfx_hisysevent.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hisysevent;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hisysevent"
SRCREV_hiviewdfx_hisysevent = "1bb7ce492a0918b5d38b7bc6d18e53e9564aa2ae"
SRCREV_FORMAT .= "+hiviewdfx_hisysevent"
SRC_URI += "${GITEE_URL}/hiviewdfx_hitrace.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hitrace;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hitrace"
SRCREV_hiviewdfx_hitrace = "b0c6322dd9e44842130d464669cf40a3c439c793"
SRCREV_FORMAT .= "+hiviewdfx_hitrace"
SRC_URI += "${GITEE_URL}/hiviewdfx_hiview.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=hiviewdfx_hiview;destsuffix=${OH_SRCDIR}/base/hiviewdfx/hiview"
SRCREV_hiviewdfx_hiview = "c5032d91e47426540d0b4a2dd4f4f6d8ee86c084"
SRCREV_FORMAT .= "+hiviewdfx_hiview"
SRC_URI += "${GITEE_URL}/miscservices_inputmethod.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=miscservices_inputmethod;destsuffix=${OH_SRCDIR}/base/miscservices/inputmethod"
SRCREV_miscservices_inputmethod = "79ac8622739b607392ce0aabf2e26dcb13ca3163"
SRCREV_FORMAT .= "+miscservices_inputmethod"
SRC_URI += "${GITEE_URL}/miscservices_time.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=miscservices_time;destsuffix=${OH_SRCDIR}/base/miscservices/time"
SRCREV_miscservices_time = "d410556e100aed5266dd9127226d160c3a7f2c10"
SRCREV_FORMAT .= "+miscservices_time"
SRC_URI += "${GITEE_URL}/msdp_device_status.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=msdp_device_status;destsuffix=${OH_SRCDIR}/base/msdp/device_status"
SRCREV_msdp_device_status = "822fdfbadc5194e684302dc462532cc1c66748e4"
SRCREV_FORMAT .= "+msdp_device_status"
SRC_URI += "${GITEE_URL}/notification_ans_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=notification_ans_standard;destsuffix=${OH_SRCDIR}/base/notification/ans_standard"
SRCREV_notification_ans_standard = "d2198f4c817ac20c106f83d5db0b06a805621885"
SRCREV_FORMAT .= "+notification_ans_standard"
SRC_URI += "${GITEE_URL}/notification_ces_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=notification_ces_standard;destsuffix=${OH_SRCDIR}/base/notification/ces_standard"
SRCREV_notification_ces_standard = "14c38421b155e6a14f41a2e1e8dd1887c6d458d9"
SRCREV_FORMAT .= "+notification_ces_standard"
SRC_URI += "${GITEE_URL}/powermgr_battery_manager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=powermgr_battery_manager;destsuffix=${OH_SRCDIR}/base/powermgr/battery_manager"
SRCREV_powermgr_battery_manager = "8f59d2b8aae58fb145497f63f33a94d12cd95fbc"
SRCREV_FORMAT .= "+powermgr_battery_manager"
SRC_URI += "${GITEE_URL}/powermgr_display_manager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=powermgr_display_manager;destsuffix=${OH_SRCDIR}/base/powermgr/display_manager"
SRCREV_powermgr_display_manager = "908495021b2b52322f92d6730a2bf7665294765c"
SRCREV_FORMAT .= "+powermgr_display_manager"
SRC_URI += "${GITEE_URL}/powermgr_power_manager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=powermgr_power_manager;destsuffix=${OH_SRCDIR}/base/powermgr/power_manager"
SRCREV_powermgr_power_manager = "a881df5076edbbac22cf077786d383c6b83fad25"
SRCREV_FORMAT .= "+powermgr_power_manager"
SRC_URI += "${GITEE_URL}/security_access_token.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_access_token;destsuffix=${OH_SRCDIR}/base/security/access_token"
SRCREV_security_access_token = "8f0802e291d0d4ebbe5a90d590445279bd5f4cd9"
SRCREV_FORMAT .= "+security_access_token"
SRC_URI += "${GITEE_URL}/security_appverify.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_appverify;destsuffix=${OH_SRCDIR}/base/security/appverify"
SRCREV_security_appverify = "1d16c2caf24e4c2f9d1a270dca7836197d417ab8"
SRCREV_FORMAT .= "+security_appverify"
SRC_URI += "${GITEE_URL}/security_dataclassification.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_dataclassification;destsuffix=${OH_SRCDIR}/base/security/dataclassification"
SRCREV_security_dataclassification = "8a2060284547abf3d030dd4cbf7a5cdd422cf60a"
SRCREV_FORMAT .= "+security_dataclassification"
SRC_URI += "${GITEE_URL}/security_deviceauth.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_deviceauth;destsuffix=${OH_SRCDIR}/base/security/deviceauth"
SRCREV_security_deviceauth = "a14db483d454d98b29a265904ed146e5f99f85b9"
SRCREV_FORMAT .= "+security_deviceauth"
SRC_URI += "${GITEE_URL}/security_device_security_level.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_device_security_level;destsuffix=${OH_SRCDIR}/base/security/device_security_level"
SRCREV_security_device_security_level = "a8326ac7a599d7638a592947888a72b4d076418f"
SRCREV_FORMAT .= "+security_device_security_level"
SRC_URI += "${GITEE_URL}/security_huks.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_huks;destsuffix=${OH_SRCDIR}/base/security/huks"
SRCREV_security_huks = "e4f0c051cdbea87b93e9879ecac0efd5f2ebf75d"
SRCREV_FORMAT .= "+security_huks"
SRC_URI += "${GITEE_URL}/security_permission.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_permission;destsuffix=${OH_SRCDIR}/base/security/permission"
SRCREV_security_permission = "807a32ca68f71834d54375d2f7eaf11f81a1127e"
SRCREV_FORMAT .= "+security_permission"
SRC_URI += "${GITEE_URL}/security_selinux.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=security_selinux;destsuffix=${OH_SRCDIR}/base/security/selinux/"
SRCREV_security_selinux = "65c7a8741164f8fdead9f5cba52b7c2d32984d8d"
SRCREV_FORMAT .= "+security_selinux"
SRC_URI += "${GITEE_URL}/sensors_sensor.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=sensors_sensor;destsuffix=${OH_SRCDIR}/base/sensors/sensor"
SRCREV_sensors_sensor = "54999891f299b412a9b0cdbfada6b61e33cd7110"
SRCREV_FORMAT .= "+sensors_sensor"
SRC_URI += "${GITEE_URL}/startup_appspawn.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=startup_appspawn;destsuffix=${OH_SRCDIR}/base/startup/appspawn_standard"
SRCREV_startup_appspawn = "b7447b8f4f48598068ea5381f1a33905fe552214"
SRCREV_FORMAT .= "+startup_appspawn"
SRC_URI += "${GITEE_URL}/startup_init_lite.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=startup_init_lite;destsuffix=${OH_SRCDIR}/base/startup/init_lite"
SRCREV_startup_init_lite = "5158c9ade29dda41a9a8466ba78d8d17ac007936"
SRCREV_FORMAT .= "+startup_init_lite"
SRC_URI += "${GITEE_URL}/startup_syspara_lite.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=startup_syspara_lite;destsuffix=${OH_SRCDIR}/base/startup/syspara_lite"
SRCREV_startup_syspara_lite = "88785cff85a32f9df6dac85b92171058c914c11d"
SRCREV_FORMAT .= "+startup_syspara_lite"
SRC_URI += "${GITEE_URL}/telephony_call_manager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_call_manager;destsuffix=${OH_SRCDIR}/base/telephony/call_manager"
SRCREV_telephony_call_manager = "8ddd808f72754413403ca0c5fb64cb1da352345b"
SRCREV_FORMAT .= "+telephony_call_manager"
SRC_URI += "${GITEE_URL}/telephony_cellular_call.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_cellular_call;destsuffix=${OH_SRCDIR}/base/telephony/cellular_call"
SRCREV_telephony_cellular_call = "f90290c71124bb28aab0bd33c60cdd3b4b923022"
SRCREV_FORMAT .= "+telephony_cellular_call"
SRC_URI += "${GITEE_URL}/telephony_core_service.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_core_service;destsuffix=${OH_SRCDIR}/base/telephony/core_service"
SRCREV_telephony_core_service = "9816b7e796aab583160e9cfe400ba0a3911db452"
SRCREV_FORMAT .= "+telephony_core_service"
SRC_URI += "${GITEE_URL}/telephony_ril_adapter.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_ril_adapter;destsuffix=${OH_SRCDIR}/base/telephony/ril_adapter"
SRCREV_telephony_ril_adapter = "12e7484e709e3bb551adf6012cfc875f972abccd"
SRCREV_FORMAT .= "+telephony_ril_adapter"
SRC_URI += "${GITEE_URL}/telephony_sms_mms.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_sms_mms;destsuffix=${OH_SRCDIR}/base/telephony/sms_mms"
SRCREV_telephony_sms_mms = "6d5e3e06063f4c226cfb2193ef0ac8ec1fe14d3f"
SRCREV_FORMAT .= "+telephony_sms_mms"
SRC_URI += "${GITEE_URL}/telephony_state_registry.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_state_registry;destsuffix=${OH_SRCDIR}/base/telephony/state_registry"
SRCREV_telephony_state_registry = "c2e48da440925c9fa4a8502fe6f57b68ff8a0d3e"
SRCREV_FORMAT .= "+telephony_state_registry"
SRC_URI += "${GITEE_URL}/telephony_data_storage.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=telephony_data_storage;destsuffix=${OH_SRCDIR}/base/telephony/data_storage"
SRCREV_telephony_data_storage = "18e857e4f2d704efffc8bf6eb95320da06d77c0c"
SRCREV_FORMAT .= "+telephony_data_storage"
SRC_URI += "${GITEE_URL}/update_packaging_tools.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=update_packaging_tools;destsuffix=${OH_SRCDIR}/base/update/packaging_tools;lfs=0"
SRCREV_update_packaging_tools = "5871445b5a76a21c6c6c90b2a5422bd68bb92492"
SRCREV_FORMAT .= "+update_packaging_tools"
SRC_URI += "${GITEE_URL}/update_updater.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=update_updater;destsuffix=${OH_SRCDIR}/base/update/updater;lfs=0"
SRCREV_update_updater = "941ffd82f877e8ea79e0a13e43e8a67ef0891f57"
SRCREV_FORMAT .= "+update_updater"
SRC_URI += "${GITEE_URL}/update_updateservice.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=update_updateservice;destsuffix=${OH_SRCDIR}/base/update/updateservice"
SRCREV_update_updateservice = "9628cb3056ef8a5a612b7e351510b872436fa2da"
SRCREV_FORMAT .= "+update_updateservice"
SRC_URI += "${GITEE_URL}/useriam_auth_executor_mgr.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=useriam_auth_executor_mgr;destsuffix=${OH_SRCDIR}/base/user_iam/auth_executor_mgr"
SRCREV_useriam_auth_executor_mgr = "7150609094ba36e5b1eb0369b68a5ccbeeca0e7b"
SRCREV_FORMAT .= "+useriam_auth_executor_mgr"
SRC_URI += "${GITEE_URL}/useriam_pin_auth.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=useriam_pin_auth;destsuffix=${OH_SRCDIR}/base/user_iam/pin_auth"
SRCREV_useriam_pin_auth = "b26bbd8beaafed54bc3100507f1428c3b9317dcd"
SRCREV_FORMAT .= "+useriam_pin_auth"
SRC_URI += "${GITEE_URL}/useriam_user_auth.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=useriam_user_auth;destsuffix=${OH_SRCDIR}/base/user_iam/user_auth"
SRCREV_useriam_user_auth = "4d439ad3e3651293ad8effa11f1c9575e8b97c3f"
SRCREV_FORMAT .= "+useriam_user_auth"
SRC_URI += "${GITEE_URL}/useriam_user_idm.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=useriam_user_idm;destsuffix=${OH_SRCDIR}/base/user_iam/user_idm"
SRCREV_useriam_user_idm = "6a4689e75ca22743750c7926c02d2d6e48e69526"
SRCREV_FORMAT .= "+useriam_user_idm"
SRC_URI += "${GITEE_URL}/build.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=build;destsuffix=${OH_SRCDIR}/build"
SRCREV_build = "1dca04afe12ec4e139a9e06ff1d232e449059333"
SRCREV_FORMAT .= "+build"
SRC_URI += "${GITEE_URL}/build_lite.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=build_lite;destsuffix=${OH_SRCDIR}/build/lite"
SRCREV_build_lite = "f54e49a49860e62f21c13f3913f659f061e9fbb7"
SRCREV_FORMAT .= "+build_lite"
SRC_URI += "${GITEE_URL}/developtools_ace-ets2bundle.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=developtools_ace-ets2bundle;destsuffix=${OH_SRCDIR}/developtools/ace-ets2bundle"
SRCREV_developtools_ace-ets2bundle = "257f7969229c0868e12414dc75ae71d4b668550a"
SRCREV_FORMAT .= "+developtools_ace-ets2bundle"
SRC_URI += "${GITEE_URL}/developtools_ace-js2bundle.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=developtools_ace-js2bundle;destsuffix=${OH_SRCDIR}/developtools/ace-js2bundle"
SRCREV_developtools_ace-js2bundle = "c3660df9c56b97da7f198293f4d37e980b24a499"
SRCREV_FORMAT .= "+developtools_ace-js2bundle"
SRC_URI += "${GITEE_URL}/developtools_bytrace.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=developtools_bytrace;destsuffix=${OH_SRCDIR}/developtools/bytrace_standard"
SRCREV_developtools_bytrace = "542680bb200efb3bf61c566f24a4480c763ce3d2"
SRCREV_FORMAT .= "+developtools_bytrace"
SRC_URI += "${GITEE_URL}/developtools_hdc.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=developtools_hdc;destsuffix=${OH_SRCDIR}/developtools/hdc_standard"
SRCREV_developtools_hdc = "c3fe03e3ef3e6f6ff33f3abc45bf47e17aa07be3"
SRCREV_FORMAT .= "+developtools_hdc"
SRC_URI += "${GITEE_URL}/developtools_profiler.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=developtools_profiler;destsuffix=${OH_SRCDIR}/developtools/profiler;lfs=0"
SRCREV_developtools_profiler = "90a585e7347577d08524bfd6cbacce1effd88a16"
SRCREV_FORMAT .= "+developtools_profiler"
SRC_URI += "${GITEE_URL}/device_qemu.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=device_qemu;destsuffix=${OH_SRCDIR}/device/qemu"
SRCREV_device_qemu = "e9888280586b394dd5b0414eb823c3ee2bb7d9ec"
SRCREV_FORMAT .= "+device_qemu"
SRC_URI += "${GITEE_URL}/drivers_adapter.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=drivers_adapter;destsuffix=${OH_SRCDIR}/drivers/adapter"
SRCREV_drivers_adapter = "a8aef38d2a9a25d9ffda5e5ccf96597ab702cf67"
SRCREV_FORMAT .= "+drivers_adapter"
SRC_URI += "${GITEE_URL}/drivers_adapter_khdf_linux.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=drivers_adapter_khdf_linux;destsuffix=${OH_SRCDIR}/drivers/adapter/khdf/linux"
SRCREV_drivers_adapter_khdf_linux = "c2122b866972b9ecf49df0e03732a8b712f3ee97"
SRCREV_FORMAT .= "+drivers_adapter_khdf_linux"
SRC_URI += "${GITEE_URL}/drivers_framework.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=drivers_framework;destsuffix=${OH_SRCDIR}/drivers/framework"
SRCREV_drivers_framework = "625ea6bf4d2072e2d2eee79b23d4fca512cfec70"
SRCREV_FORMAT .= "+drivers_framework"
SRC_URI += "${GITEE_URL}/drivers_interface.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=drivers_interface;destsuffix=${OH_SRCDIR}/drivers/interface"
SRCREV_drivers_interface = "8e147d8152bf6a6b58c70c42c73cb1bf9ef4db17"
SRCREV_FORMAT .= "+drivers_interface"
SRC_URI += "${GITEE_URL}/drivers_peripheral.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=drivers_peripheral;destsuffix=${OH_SRCDIR}/drivers/peripheral"
SRCREV_drivers_peripheral = "ae7e4979df84de17e11ac7fc75a3f5904a131014"
SRCREV_FORMAT .= "+drivers_peripheral"
SRC_URI += "${GITEE_URL}/ability_ability_runtime.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=ability_ability_runtime;destsuffix=${OH_SRCDIR}/foundation/aafwk/standard"
SRCREV_ability_ability_runtime = "943738254da14a6faf79fec5a414c3ea2885f7f1"
SRCREV_FORMAT .= "+ability_ability_runtime"
SRC_URI += "${GITEE_URL}/arkui_ace_engine.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=arkui_ace_engine;destsuffix=${OH_SRCDIR}/foundation/ace/ace_engine"
SRCREV_arkui_ace_engine = "357ccda311213ea260e4266b29dc3405c23077a2"
SRCREV_FORMAT .= "+arkui_ace_engine"
SRC_URI += "${GITEE_URL}/arkui_napi.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=arkui_napi;destsuffix=${OH_SRCDIR}/foundation/ace/napi"
SRCREV_arkui_napi = "c8bdaf9d206c9f411e095731bdc39c5ac39fb2bc"
SRCREV_FORMAT .= "+arkui_napi"
SRC_URI += "${GITEE_URL}/bundlemanager_bundle_framework.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=bundlemanager_bundle_framework;destsuffix=${OH_SRCDIR}/foundation/appexecfwk/standard"
SRCREV_bundlemanager_bundle_framework = "766de00e0992ca632975aa9a919bf6a760416dd1"
SRCREV_FORMAT .= "+bundlemanager_bundle_framework"
SRC_URI += "${GITEE_URL}/communication_bluetooth.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=communication_bluetooth;destsuffix=${OH_SRCDIR}/foundation/communication/bluetooth"
SRCREV_communication_bluetooth = "80a4879b33c8dd91fe59e72408fc1ecae19ba4be"
SRCREV_FORMAT .= "+communication_bluetooth"
SRC_URI += "${GITEE_URL}/communication_dsoftbus.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=communication_dsoftbus;destsuffix=${OH_SRCDIR}/foundation/communication/dsoftbus"
SRCREV_communication_dsoftbus = "b7730b8fbe7c862c02b16d508365716daaa21a65"
SRCREV_FORMAT .= "+communication_dsoftbus"
SRC_URI += "${GITEE_URL}/communication_ipc.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=communication_ipc;destsuffix=${OH_SRCDIR}/foundation/communication/ipc"
SRCREV_communication_ipc = "5670fa3a8c92356295377ad4d63f9fa4763a1c5d"
SRCREV_FORMAT .= "+communication_ipc"
SRC_URI += "${GITEE_URL}/communication_netmanager_base.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=communication_netmanager_base;destsuffix=${OH_SRCDIR}/foundation/communication/netmanager_base"
SRCREV_communication_netmanager_base = "a645a28411a017e85f9d3b894f06917916e0caea"
SRCREV_FORMAT .= "+communication_netmanager_base"
SRC_URI += "${GITEE_URL}/communication_wifi.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=communication_wifi;destsuffix=${OH_SRCDIR}/foundation/communication/wifi"
SRCREV_communication_wifi = "607f09fe4e073bc47be6befee5566a90fa60b979"
SRCREV_FORMAT .= "+communication_wifi"
SRC_URI += "${GITEE_URL}/device_profile_core.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=device_profile_core;destsuffix=${OH_SRCDIR}/foundation/deviceprofile/device_profile_core"
SRCREV_device_profile_core = "8e6de1110271f4fdc84861ed520d944ea7250eb8"
SRCREV_FORMAT .= "+device_profile_core"
SRC_URI += "${GITEE_URL}/distributeddatamgr_appdatamgr.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributeddatamgr_appdatamgr;destsuffix=${OH_SRCDIR}/foundation/distributeddatamgr/appdatamgr"
SRCREV_distributeddatamgr_appdatamgr = "ccce2e1af674435362880f4b9153c7dbfec67001"
SRCREV_FORMAT .= "+distributeddatamgr_appdatamgr"
SRC_URI += "${GITEE_URL}/distributeddatamgr_datamgr.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributeddatamgr_datamgr;destsuffix=${OH_SRCDIR}/foundation/distributeddatamgr/distributeddatamgr"
SRCREV_distributeddatamgr_datamgr = "b2b70c2443ec3b3567934d84789f16bdd41ea910"
SRCREV_FORMAT .= "+distributeddatamgr_datamgr"
SRC_URI += "${GITEE_URL}/distributeddatamgr_file.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributeddatamgr_file;destsuffix=${OH_SRCDIR}/foundation/distributeddatamgr/distributedfile"
SRCREV_distributeddatamgr_file = "fb6e2239db3a9d652c65b233a2984538e1f14206"
SRCREV_FORMAT .= "+distributeddatamgr_file"
SRC_URI += "${GITEE_URL}/distributeddatamgr_objectstore.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributeddatamgr_objectstore;destsuffix=${OH_SRCDIR}/foundation/distributeddatamgr/objectstore"
SRCREV_distributeddatamgr_objectstore = "7707cce16f50df54fc89fee7bb4a34110cf6654d"
SRCREV_FORMAT .= "+distributeddatamgr_objectstore"
SRC_URI += "${GITEE_URL}/device_manager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=device_manager;destsuffix=${OH_SRCDIR}/foundation/distributedhardware/devicemanager"
SRCREV_device_manager = "80b28cd2361508afc9b058cb9a094f3c187cdb9e"
SRCREV_FORMAT .= "+device_manager"
SRC_URI += "${GITEE_URL}/distributedschedule_dms_fwk.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributedschedule_dms_fwk;destsuffix=${OH_SRCDIR}/foundation/distributedschedule/dmsfwk"
SRCREV_distributedschedule_dms_fwk = "e63b580a52b174ad8665e63de0f1200b8b7bbf1d"
SRCREV_FORMAT .= "+distributedschedule_dms_fwk"
SRC_URI += "${GITEE_URL}/distributedschedule_safwk.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributedschedule_safwk;destsuffix=${OH_SRCDIR}/foundation/distributedschedule/safwk"
SRCREV_distributedschedule_safwk = "80363c513f62d27e592deb582a50bc87ba816962"
SRCREV_FORMAT .= "+distributedschedule_safwk"
SRC_URI += "${GITEE_URL}/distributedschedule_samgr.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=distributedschedule_samgr;destsuffix=${OH_SRCDIR}/foundation/distributedschedule/samgr"
SRCREV_distributedschedule_samgr = "f58b55bfec7a86d0a980ab587471069ccec897c2"
SRCREV_FORMAT .= "+distributedschedule_samgr"
SRC_URI += "${GITEE_URL}/filemanagement_storage_service.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=filemanagement_storage_service;destsuffix=${OH_SRCDIR}/foundation/filemanagement/storage_service"
SRCREV_filemanagement_storage_service = "9b18a0f45ddc67b987e6bd43e51b793a1eadc36d"
SRCREV_FORMAT .= "+filemanagement_storage_service"
SRC_URI += "${GITEE_URL}/graphic_graphic_2d.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=graphic_graphic_2d;destsuffix=${OH_SRCDIR}/foundation/graphic/standard"
SRCREV_graphic_graphic_2d = "7bc75398314a7f9f0d64dbdd9efe75c03cf8d50b"
SRCREV_FORMAT .= "+graphic_graphic_2d"
SRC_URI += "${GITEE_URL}/multimedia_audio_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_audio_standard;destsuffix=${OH_SRCDIR}/foundation/multimedia/audio_standard"
SRCREV_multimedia_audio_standard = "9083b42f0a9f66ca96c528e581dd06e96103ee5a"
SRCREV_FORMAT .= "+multimedia_audio_standard"
SRC_URI += "${GITEE_URL}/multimedia_camera_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_camera_standard;destsuffix=${OH_SRCDIR}/foundation/multimedia/camera_standard"
SRCREV_multimedia_camera_standard = "9b17a4ae214660d265b394f18948e1e64fe93d2d"
SRCREV_FORMAT .= "+multimedia_camera_standard"
SRC_URI += "${GITEE_URL}/multimedia_histreamer.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_histreamer;destsuffix=${OH_SRCDIR}/foundation/multimedia/histreamer"
SRCREV_multimedia_histreamer = "e6b61f9e7a15aadcfa9f76211aac7b8cb183860d"
SRCREV_FORMAT .= "+multimedia_histreamer"
SRC_URI += "${GITEE_URL}/multimedia_image_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_image_standard;destsuffix=${OH_SRCDIR}/foundation/multimedia/image_standard"
SRCREV_multimedia_image_standard = "2645a73c6f51b523301f475f962be5336a65e3fe"
SRCREV_FORMAT .= "+multimedia_image_standard"
SRC_URI += "${GITEE_URL}/multimedia_medialibrary_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_medialibrary_standard;destsuffix=${OH_SRCDIR}/foundation/multimedia/medialibrary_standard"
SRCREV_multimedia_medialibrary_standard = "88ca47dd1058c10808dbf1ede34dbf3604576cd9"
SRCREV_FORMAT .= "+multimedia_medialibrary_standard"
SRC_URI += "${GITEE_URL}/multimedia_media_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimedia_media_standard;destsuffix=${OH_SRCDIR}/foundation/multimedia/media_standard"
SRCREV_multimedia_media_standard = "bce99de3a2afa7d8be73980b95f1e38d978dd5ce"
SRCREV_FORMAT .= "+multimedia_media_standard"
SRC_URI += "${GITEE_URL}/multimodalinput_input.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=multimodalinput_input;destsuffix=${OH_SRCDIR}/foundation/multimodalinput/input"
SRCREV_multimodalinput_input = "c4da1bfd998614c6ba9bf05d6c47e65af8bb5f8e"
SRCREV_FORMAT .= "+multimodalinput_input"
SRC_URI += "${GITEE_URL}/windowmanager.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=windowmanager;destsuffix=${OH_SRCDIR}/foundation/windowmanager"
SRCREV_windowmanager = "d6f139e46e4af364fe99b7ba0463ece701f1914d"
SRCREV_FORMAT .= "+windowmanager"
SRC_URI += "${GITEE_URL}/interface_sdk-js.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=interface_sdk-js;destsuffix=${OH_SRCDIR}/interface/sdk-js"
SRCREV_interface_sdk-js = "c0f72aba8fe7b14e3e3ee55d692a8a9d5a3d551e"
SRCREV_FORMAT .= "+interface_sdk-js"
SRC_URI += "${GITEE_URL}/productdefine_common.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=productdefine_common;destsuffix=${OH_SRCDIR}/productdefine/common"
SRCREV_productdefine_common = "2b50a713d27d07cb874e38ce702f5e687b960e7e"
SRCREV_FORMAT .= "+productdefine_common"
SRC_URI += "${GITEE_URL}/test_developertest.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=test_developertest;destsuffix=${OH_SRCDIR}/test/developertest"
SRCREV_test_developertest = "d5608c95729dd93a0df0cb9a8ddb2c576c24a430"
SRCREV_FORMAT .= "+test_developertest"
SRC_URI += "${GITEE_URL}/third_party_abseil-cpp.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_abseil-cpp;destsuffix=${OH_SRCDIR}/third_party/abseil-cpp"
SRCREV_third_party_abseil-cpp = "d4e70d1b05e1f3a8110a9a3a95e5a946cd531115"
SRCREV_FORMAT .= "+third_party_abseil-cpp"
SRC_URI += "${GITEE_URL}/third_party_boost.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_boost;destsuffix=${OH_SRCDIR}/third_party/boost;lfs=0"
SRCREV_third_party_boost = "5bd7e37d78bfa159759369d4afbb12b5032d8aa2"
SRCREV_FORMAT .= "+third_party_boost"
SRC_URI += "${GITEE_URL}/third_party_boringssl.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_boringssl;destsuffix=${OH_SRCDIR}/third_party/boringssl;lfs=0"
SRCREV_third_party_boringssl = "330d708e1dc16d4dd338a58b1cc3e0c8cd961e51"
SRCREV_FORMAT .= "+third_party_boringssl"
SRC_URI += "${GITEE_URL}/third_party_bounds_checking_function.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_bounds_checking_function;destsuffix=${OH_SRCDIR}/third_party/bounds_checking_function"
SRCREV_third_party_bounds_checking_function = "a43d234d8b2a20588607a3284a660af1f651965f"
SRCREV_FORMAT .= "+third_party_bounds_checking_function"
SRC_URI += "${GITEE_URL}/third_party_bzip2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_bzip2;destsuffix=${OH_SRCDIR}/third_party/bzip2"
SRCREV_third_party_bzip2 = "2075b570cd4cbddb45263b5cf7085076f1e22c6b"
SRCREV_FORMAT .= "+third_party_bzip2"
SRC_URI += "${GITEE_URL}/third_party_cares.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_cares;destsuffix=${OH_SRCDIR}/third_party/cares"
SRCREV_third_party_cares = "e91625077a7d540ad9fbd4ea3df774effdbf24d3"
SRCREV_FORMAT .= "+third_party_cares"
SRC_URI += "${GITEE_URL}/third_party_cJSON.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_cJSON;destsuffix=${OH_SRCDIR}/third_party/cJSON"
SRCREV_third_party_cJSON = "57a34c3083d3d97bca3e3558aaf76926971859d9"
SRCREV_FORMAT .= "+third_party_cJSON"
SRC_URI += "${GITEE_URL}/third_party_curl.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_curl;destsuffix=${OH_SRCDIR}/third_party/curl"
SRCREV_third_party_curl = "c30eb7987ad5bd789bca620716e762129f6d5aae"
SRCREV_FORMAT .= "+third_party_curl"
SRC_URI += "${GITEE_URL}/third_party_e2fsprogs.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_e2fsprogs;destsuffix=${OH_SRCDIR}/third_party/e2fsprogs"
SRCREV_third_party_e2fsprogs = "f33427ee8bf6ec2d202ead5c4efc32fdf54541cb"
SRCREV_FORMAT .= "+third_party_e2fsprogs"
SRC_URI += "${GITEE_URL}/third_party_ejdb.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_ejdb;destsuffix=${OH_SRCDIR}/third_party/ejdb"
SRCREV_third_party_ejdb = "f0463fa6c2ca3d9364525c0ca16c1787cc635976"
SRCREV_FORMAT .= "+third_party_ejdb"
SRC_URI += "${GITEE_URL}/third_party_egl.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_egl;destsuffix=${OH_SRCDIR}/third_party/EGL"
SRCREV_third_party_egl = "b8e3047530bce4e56dafa4f1ea5eea56cd77b68c"
SRCREV_FORMAT .= "+third_party_egl"
SRC_URI += "${GITEE_URL}/third_party_eudev.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_eudev;destsuffix=${OH_SRCDIR}/third_party/eudev"
SRCREV_third_party_eudev = "890f3229cc6d4c0a31e7920dc740b0916c38b5df"
SRCREV_FORMAT .= "+third_party_eudev"
SRC_URI += "${GITEE_URL}/third_party_exfat-utils.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_exfat-utils;destsuffix=${OH_SRCDIR}/third_party/exfat-utils"
SRCREV_third_party_exfat-utils = "0d7230d902482e32070d715dc78eae6e076b48c0"
SRCREV_FORMAT .= "+third_party_exfat-utils"
SRC_URI += "${GITEE_URL}/third_party_expat.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_expat;destsuffix=${OH_SRCDIR}/third_party/expat"
SRCREV_third_party_expat = "1f96393667d12494738d05dad2e03c96a4a8f5fe"
SRCREV_FORMAT .= "+third_party_expat"
SRC_URI += "${GITEE_URL}/third_party_f2fs-tools.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_f2fs-tools;destsuffix=${OH_SRCDIR}/third_party/f2fs-tools"
SRCREV_third_party_f2fs-tools = "045b625c0f02123d86f800c1ea1ca7587e812b40"
SRCREV_FORMAT .= "+third_party_f2fs-tools"
SRC_URI += "${GITEE_URL}/third_party_ffmpeg.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_ffmpeg;destsuffix=${OH_SRCDIR}/third_party/ffmpeg"
SRCREV_third_party_ffmpeg = "695bc62151ac9043d7d655ec82a52d3315da248b"
SRCREV_FORMAT .= "+third_party_ffmpeg"
SRC_URI += "${GITEE_URL}/third_party_flutter.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_flutter;destsuffix=${OH_SRCDIR}/third_party/flutter;lfs=0"
SRCREV_third_party_flutter = "32b5e58093b98ef23fd1efd47f1e6d7d58e4f6b5"
SRCREV_FORMAT .= "+third_party_flutter"
SRC_URI += "${GITEE_URL}/third_party_fsck_msdos.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_fsck_msdos;destsuffix=${OH_SRCDIR}/third_party/fsck_msdos"
SRCREV_third_party_fsck_msdos = "c802b49daca21bad1aff8520060ef0134810572f"
SRCREV_FORMAT .= "+third_party_fsck_msdos"
SRC_URI += "${GITEE_URL}/third_party_gettext.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_gettext;destsuffix=${OH_SRCDIR}/third_party/gettext"
SRCREV_third_party_gettext = "7f6b21954643e899a9d86bee83658bcef75b13d9"
SRCREV_FORMAT .= "+third_party_gettext"
SRC_URI += "${GITEE_URL}/third_party_giflib.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_giflib;destsuffix=${OH_SRCDIR}/third_party/giflib"
SRCREV_third_party_giflib = "65f4f86b26527ab5f12cdf3b688b1227bbb0a678"
SRCREV_FORMAT .= "+third_party_giflib"
SRC_URI += "${GITEE_URL}/third_party_glib.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_glib;destsuffix=${OH_SRCDIR}/third_party/glib"
SRCREV_third_party_glib = "76d2b929e9713a1922a6bbf9c67f678eda71712f"
SRCREV_FORMAT .= "+third_party_glib"
SRC_URI += "${GITEE_URL}/third_party_googletest.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_googletest;destsuffix=${OH_SRCDIR}/third_party/googletest"
SRCREV_third_party_googletest = "1507b2df99421d8a35d8efffec7ea0addec0935c"
SRCREV_FORMAT .= "+third_party_googletest"
SRC_URI += "${GITEE_URL}/third_party_gptfdisk.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_gptfdisk;destsuffix=${OH_SRCDIR}/third_party/gptfdisk"
SRCREV_third_party_gptfdisk = "f7317bae19ff8b38f0cb97a60e6679740486b374"
SRCREV_FORMAT .= "+third_party_gptfdisk"
SRC_URI += "${GITEE_URL}/third_party_grpc.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_grpc;destsuffix=${OH_SRCDIR}/third_party/grpc;lfs=0"
SRCREV_third_party_grpc = "fc512eeefd8d5505d04ea55e57722c061953b22b"
SRCREV_FORMAT .= "+third_party_grpc"
SRC_URI += "${GITEE_URL}/third_party_gstreamer.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_gstreamer;destsuffix=${OH_SRCDIR}/third_party/gstreamer;lfs=0"
SRCREV_third_party_gstreamer = "f4cac98eb46987ef554c6fa014cd877c90855c75"
SRCREV_FORMAT .= "+third_party_gstreamer"
SRC_URI += "${GITEE_URL}/third_party_icu.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_icu;destsuffix=${OH_SRCDIR}/third_party/icu"
SRCREV_third_party_icu = "53527683521ad0fb53b573075c452b80d73327bb"
SRCREV_FORMAT .= "+third_party_icu"
SRC_URI += "${GITEE_URL}/third_party_iowow.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_iowow;destsuffix=${OH_SRCDIR}/third_party/iowow"
SRCREV_third_party_iowow = "4ceda3111f8cc40912b6da6caf9454745f9d907f"
SRCREV_FORMAT .= "+third_party_iowow"
SRC_URI += "${GITEE_URL}/third_party_jinja2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_jinja2;destsuffix=${OH_SRCDIR}/third_party/jinja2"
SRCREV_third_party_jinja2 = "efbdaa2f2324cd93237dc42ec1c032e5532d205f"
SRCREV_FORMAT .= "+third_party_jinja2"
SRC_URI += "${GITEE_URL}/third_party_jsframework.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_jsframework;destsuffix=${OH_SRCDIR}/third_party/jsframework"
SRCREV_third_party_jsframework = "41789fbffdfb88ef7ab8dd98da46e0b7b444e823"
SRCREV_FORMAT .= "+third_party_jsframework"
SRC_URI += "${GITEE_URL}/third_party_json.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_json;destsuffix=${OH_SRCDIR}/third_party/json"
SRCREV_third_party_json = "d7500d6ffe4a3e24c01cf94ffb125e9b984c9f2b"
SRCREV_FORMAT .= "+third_party_json"
SRC_URI += "${GITEE_URL}/third_party_jsoncpp.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_jsoncpp;destsuffix=${OH_SRCDIR}/third_party/jsoncpp"
SRCREV_third_party_jsoncpp = "933db22e0cf06cd3a8a1705d78773acd907ce3f3"
SRCREV_FORMAT .= "+third_party_jsoncpp"
SRC_URI += "${GITEE_URL}/third_party_libcoap.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libcoap;destsuffix=${OH_SRCDIR}/third_party/libcoap"
SRCREV_third_party_libcoap = "3f413e7966723292080fa32499d1687eaefceddf"
SRCREV_FORMAT .= "+third_party_libcoap"
SRC_URI += "${GITEE_URL}/third_party_libdrm.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libdrm;destsuffix=${OH_SRCDIR}/third_party/libdrm"
SRCREV_third_party_libdrm = "58e7c5d2bb23be914cc438ba356c0030392b008e"
SRCREV_FORMAT .= "+third_party_libdrm"
SRC_URI += "${GITEE_URL}/third_party_libevdev.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libevdev;destsuffix=${OH_SRCDIR}/third_party/libevdev"
SRCREV_third_party_libevdev = "ac566698bb22fce22954f0827512984d7ebd7603"
SRCREV_FORMAT .= "+third_party_libevdev"
SRC_URI += "${GITEE_URL}/third_party_libexif.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libexif;destsuffix=${OH_SRCDIR}/third_party/libexif"
SRCREV_third_party_libexif = "e62a20a2fe8bc6d8229ea15d06f298c91c0d4e64"
SRCREV_FORMAT .= "+third_party_libexif"
SRC_URI += "${GITEE_URL}/third_party_libffi.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libffi;destsuffix=${OH_SRCDIR}/third_party/libffi"
SRCREV_third_party_libffi = "66962913be641f90546c5a69e2abd17c35068e4d"
SRCREV_FORMAT .= "+third_party_libffi"
SRC_URI += "${GITEE_URL}/third_party_libinput.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libinput;destsuffix=${OH_SRCDIR}/third_party/libinput"
SRCREV_third_party_libinput = "c2191e5259eb2b97944905abd8c28efdcd96fea0"
SRCREV_FORMAT .= "+third_party_libinput"
SRC_URI += "${GITEE_URL}/third_party_libjpeg.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libjpeg;destsuffix=${OH_SRCDIR}/third_party/libjpeg"
SRCREV_third_party_libjpeg = "064bfd10e9cf7ee82c1f5c67e4872aa2fa44f71c"
SRCREV_FORMAT .= "+third_party_libjpeg"
SRC_URI += "${GITEE_URL}/third_party_libnl.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libnl;destsuffix=${OH_SRCDIR}/third_party/libnl"
SRCREV_third_party_libnl = "3fd37ca55113ce0651aadce2384521882c86667c"
SRCREV_FORMAT .= "+third_party_libnl"
SRC_URI += "${GITEE_URL}/third_party_libphonenumber.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libphonenumber;destsuffix=${OH_SRCDIR}/third_party/libphonenumber;lfs=0"
SRCREV_third_party_libphonenumber = "21585c1eac7518b8360dd4652e45bca0c4a94018"
SRCREV_FORMAT .= "+third_party_libphonenumber"
SRC_URI += "${GITEE_URL}/third_party_libpng.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libpng;destsuffix=${OH_SRCDIR}/third_party/libpng"
SRCREV_third_party_libpng = "f9775057a8bc3b99fedc687e2a2f3b06dec60487"
SRCREV_FORMAT .= "+third_party_libpng"
SRC_URI += "${GITEE_URL}/third_party_libpsl.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libpsl;destsuffix=${OH_SRCDIR}/third_party/libpsl"
SRCREV_third_party_libpsl = "c2e76526c400448f9474d480bd5ba7f846babf1f"
SRCREV_FORMAT .= "+third_party_libpsl"
SRC_URI += "${GITEE_URL}/third_party_libsnd.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libsnd;destsuffix=${OH_SRCDIR}/third_party/libsnd"
SRCREV_third_party_libsnd = "7a7f66d2e843d57e94d29f4560dab1f280fc7a9d"
SRCREV_FORMAT .= "+third_party_libsnd"
SRC_URI += "${GITEE_URL}/third_party_libsoup.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libsoup;destsuffix=${OH_SRCDIR}/third_party/libsoup"
SRCREV_third_party_libsoup = "df61a34dd60a6ab59f0dace02dbb5486e9e1b4c6"
SRCREV_FORMAT .= "+third_party_libsoup"
SRC_URI += "${GITEE_URL}/third_party_libunwind.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libunwind;destsuffix=${OH_SRCDIR}/third_party/libunwind"
SRCREV_third_party_libunwind = "7449c4f6ddcbcecd98bf51aadb0e718d8ad00fe7"
SRCREV_FORMAT .= "+third_party_libunwind"
SRC_URI += "${GITEE_URL}/third_party_libusb.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libusb;destsuffix=${OH_SRCDIR}/third_party/libusb"
SRCREV_third_party_libusb = "7450da22df05188eb271e18958a4e19325ed402d"
SRCREV_FORMAT .= "+third_party_libusb"
SRC_URI += "${GITEE_URL}/third_party_libuv.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libuv;destsuffix=${OH_SRCDIR}/third_party/libuv;lfs=0"
SRCREV_third_party_libuv = "bea9c7bcc3e18b8af343b027e726d4bc18988c11"
SRCREV_FORMAT .= "+third_party_libuv"
SRC_URI += "${GITEE_URL}/third_party_libxkbcommon.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libxkbcommon;destsuffix=${OH_SRCDIR}/third_party/libxkbcommon"
SRCREV_third_party_libxkbcommon = "3af97c7fbfc596970de73035d6b79224f8ecaa2e"
SRCREV_FORMAT .= "+third_party_libxkbcommon"
SRC_URI += "${GITEE_URL}/third_party_libxml2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_libxml2;destsuffix=${OH_SRCDIR}/third_party/libxml2"
SRCREV_third_party_libxml2 = "461331d0b5d791d610cface8baea177d524d4f9d"
SRCREV_FORMAT .= "+third_party_libxml2"
SRC_URI += "${GITEE_URL}/third_party_lz4.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_lz4;destsuffix=${OH_SRCDIR}/third_party/lz4"
SRCREV_third_party_lz4 = "580a141ef59cf7acc6e20f4ecc75e933f6b2ddee"
SRCREV_FORMAT .= "+third_party_lz4"
SRC_URI += "${GITEE_URL}/third_party_markupsafe.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_markupsafe;destsuffix=${OH_SRCDIR}/third_party/markupsafe"
SRCREV_third_party_markupsafe = "d170c5ae1f8facb6301159f1716e484f92d3d234"
SRCREV_FORMAT .= "+third_party_markupsafe"
SRC_URI += "${GITEE_URL}/third_party_mbedtls.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_mbedtls;destsuffix=${OH_SRCDIR}/third_party/mbedtls"
SRCREV_third_party_mbedtls = "c8cd64ee8c3f5edc590944e15ea236d9d496dc29"
SRCREV_FORMAT .= "+third_party_mbedtls"
SRC_URI += "${GITEE_URL}/third_party_miniz.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_miniz;destsuffix=${OH_SRCDIR}/third_party/miniz"
SRCREV_third_party_miniz = "8319e8cdc89c2ad80ed05c6cc9c33b875c78f621"
SRCREV_FORMAT .= "+third_party_miniz"
SRC_URI += "${GITEE_URL}/third_party_mksh.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_mksh;destsuffix=${OH_SRCDIR}/third_party/mksh"
SRCREV_third_party_mksh = "b166316c7a76070bde3ad3fa328f0612fa1ffb85"
SRCREV_FORMAT .= "+third_party_mksh"
SRC_URI += "${GITEE_URL}/third_party_mtdev.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_mtdev;destsuffix=${OH_SRCDIR}/third_party/mtdev"
SRCREV_third_party_mtdev = "7f4332cd116705217ae4f7ccde0beb0e2f9f9322"
SRCREV_FORMAT .= "+third_party_mtdev"
SRC_URI += "${GITEE_URL}/third_party_newfs_msdos.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_newfs_msdos;destsuffix=${OH_SRCDIR}/third_party/newfs_msdos"
SRCREV_third_party_newfs_msdos = "431df86bb955e50851c33c8b826ad81b08381075"
SRCREV_FORMAT .= "+third_party_newfs_msdos"
SRC_URI += "${GITEE_URL}/third_party_nghttp2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_nghttp2;destsuffix=${OH_SRCDIR}/third_party/nghttp2"
SRCREV_third_party_nghttp2 = "fa0877a0c82f51e80a866fc5e483192bcd3623ca"
SRCREV_FORMAT .= "+third_party_nghttp2"
SRC_URI += "${GITEE_URL}/third_party_node.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_node;destsuffix=${OH_SRCDIR}/third_party/node;lfs=0"
SRCREV_third_party_node = "77a64bd1bb2d4a0415e053cfa3188b429f338371"
SRCREV_FORMAT .= "+third_party_node"
SRC_URI += "${GITEE_URL}/third_party_ntfs-3g.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_ntfs-3g;destsuffix=${OH_SRCDIR}/third_party/ntfs-3g"
SRCREV_third_party_ntfs-3g = "b29b2cbadb77825bf074f60e8e779afbd8bd569e"
SRCREV_FORMAT .= "+third_party_ntfs-3g"
SRC_URI += "${GITEE_URL}/third_party_opengles.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_opengles;destsuffix=${OH_SRCDIR}/third_party/openGLES"
SRCREV_third_party_opengles = "f6de01808a14d9d32bc3208bb502f004b8037be0"
SRCREV_FORMAT .= "+third_party_opengles"
SRC_URI += "${GITEE_URL}/third_party_opensles.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_opensles;destsuffix=${OH_SRCDIR}/third_party/openSLES"
SRCREV_third_party_opensles = "fdcfb18e8e8061238be68e55d52aa6e42ee2750e"
SRCREV_FORMAT .= "+third_party_opensles"
SRC_URI += "${GITEE_URL}/third_party_parse5.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_parse5;destsuffix=${OH_SRCDIR}/third_party/parse5"
SRCREV_third_party_parse5 = "7d06f52e72cb05090c0ea34c3f52656d9364a13c"
SRCREV_FORMAT .= "+third_party_parse5"
SRC_URI += "${GITEE_URL}/third_party_pcre2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_pcre2;destsuffix=${OH_SRCDIR}/third_party/pcre2"
SRCREV_third_party_pcre2 = "57cbb1960442c0f826deb96b914f3f30470e1263"
SRCREV_FORMAT .= "+third_party_pcre2"
SRC_URI += "${GITEE_URL}/third_party_pixman.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_pixman;destsuffix=${OH_SRCDIR}/third_party/pixman;lfs=0"
SRCREV_third_party_pixman = "0e233e1b237336be24fa81444e55f26a5c61e294"
SRCREV_FORMAT .= "+third_party_pixman"
SRC_URI += "${GITEE_URL}/third_party_popt.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_popt;destsuffix=${OH_SRCDIR}/third_party/popt"
SRCREV_third_party_popt = "d0a4abf8a4ff5fd5a1c5c790f6039eadbff54739"
SRCREV_FORMAT .= "+third_party_popt"
SRC_URI += "${GITEE_URL}/third_party_protobuf.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_protobuf;destsuffix=${OH_SRCDIR}/third_party/protobuf"
SRCREV_third_party_protobuf = "f7f9dd873481192a15936f0bd3a6209898148bd3"
SRCREV_FORMAT .= "+third_party_protobuf"
SRC_URI += "${GITEE_URL}/third_party_pulseaudio.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_pulseaudio;destsuffix=${OH_SRCDIR}/third_party/pulseaudio"
SRCREV_third_party_pulseaudio = "6b4553eb4b9e1a6d0d94ccf277e9d3289dec3645"
SRCREV_FORMAT .= "+third_party_pulseaudio"
SRC_URI += "${GITEE_URL}/third_party_pyyaml.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_pyyaml;destsuffix=${OH_SRCDIR}/third_party/pyyaml"
SRCREV_third_party_pyyaml = "5f145feb6548c5a28e8528c6f80ea8190c92b439"
SRCREV_FORMAT .= "+third_party_pyyaml"
SRC_URI += "${GITEE_URL}/third_party_qrcodegen.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_qrcodegen;destsuffix=${OH_SRCDIR}/third_party/qrcodegen"
SRCREV_third_party_qrcodegen = "ff46d5232d9bc64bb2d9a4a3bd9246cab119445b"
SRCREV_FORMAT .= "+third_party_qrcodegen"
SRC_URI += "${GITEE_URL}/third_party_quickjs.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_quickjs;destsuffix=${OH_SRCDIR}/third_party/quickjs"
SRCREV_third_party_quickjs = "0f59676c0934bb7a2b5cbdd19fee464e3d673150"
SRCREV_FORMAT .= "+third_party_quickjs"
SRC_URI += "${GITEE_URL}/third_party_re2.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_re2;destsuffix=${OH_SRCDIR}/third_party/re2"
SRCREV_third_party_re2 = "a3e0fcf1ccb3b21185529aaa074b8256ed047d15"
SRCREV_FORMAT .= "+third_party_re2"
SRC_URI += "${GITEE_URL}/third_party_selinux.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_selinux;destsuffix=${OH_SRCDIR}/third_party/selinux"
SRCREV_third_party_selinux = "5366d0d94bc24eb651a959722bd5c0513ef7752c"
SRCREV_FORMAT .= "+third_party_selinux"
SRC_URI += "${GITEE_URL}/third_party_sqlite.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_sqlite;destsuffix=${OH_SRCDIR}/third_party/sqlite"
SRCREV_third_party_sqlite = "c9b47fe05c022f2361d4237976017e2f51341e33"
SRCREV_FORMAT .= "+third_party_sqlite"
SRC_URI += "${GITEE_URL}/third_party_typescript.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_typescript;destsuffix=${OH_SRCDIR}/third_party/typescript"
SRCREV_third_party_typescript = "52c4e5df1634f68dace0aa76f68932bde0e47f6f"
SRCREV_FORMAT .= "+third_party_typescript"
SRC_URI += "${GITEE_URL}/third_party_toybox.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_toybox;destsuffix=${OH_SRCDIR}/third_party/toybox"
SRCREV_third_party_toybox = "f4e0ecd510292055cafffcb4d4b0306e5ea609b1"
SRCREV_FORMAT .= "+third_party_toybox"
SRC_URI += "${GITEE_URL}/third_party_wayland-ivi-extension.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_wayland-ivi-extension;destsuffix=${OH_SRCDIR}/third_party/wayland-ivi-extension"
SRCREV_third_party_wayland-ivi-extension = "9556378fdeb200ebb1cbaad0245fa976148d92af"
SRCREV_FORMAT .= "+third_party_wayland-ivi-extension"
SRC_URI += "${GITEE_URL}/third_party_wayland-protocols_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_wayland-protocols_standard;destsuffix=${OH_SRCDIR}/third_party/wayland-protocols_standard"
SRCREV_third_party_wayland-protocols_standard = "0bc2ffadb4fa035576a2791fb2d12f725ef101ba"
SRCREV_FORMAT .= "+third_party_wayland-protocols_standard"
SRC_URI += "${GITEE_URL}/third_party_wayland_standard.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_wayland_standard;destsuffix=${OH_SRCDIR}/third_party/wayland_standard"
SRCREV_third_party_wayland_standard = "f4f66ab4e3a2a7536c8b9baa2c1ea797c6cb93b8"
SRCREV_FORMAT .= "+third_party_wayland_standard"
SRC_URI += "${GITEE_URL}/third_party_weex-loader.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_weex-loader;destsuffix=${OH_SRCDIR}/third_party/weex-loader"
SRCREV_third_party_weex-loader = "950b4ba2a6c5568431d18f44f3cf2a005d36b2c3"
SRCREV_FORMAT .= "+third_party_weex-loader"
SRC_URI += "${GITEE_URL}/third_party_weston.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_weston;destsuffix=${OH_SRCDIR}/third_party/weston"
SRCREV_third_party_weston = "015b25787779d153107990f1f843f3179ae91809"
SRCREV_FORMAT .= "+third_party_weston"
SRC_URI += "${GITEE_URL}/third_party_wpa_supplicant.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_wpa_supplicant;destsuffix=${OH_SRCDIR}/third_party/wpa_supplicant"
SRCREV_third_party_wpa_supplicant = "3de47ca4d9731d2c94509d84b13923188f8464e3"
SRCREV_FORMAT .= "+third_party_wpa_supplicant"
SRC_URI += "${GITEE_URL}/third_party_xkeyboardconfig.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_xkeyboardconfig;destsuffix=${OH_SRCDIR}/third_party/XKeyboardConfig"
SRCREV_third_party_xkeyboardconfig = "095361a477e178757ee27f47ab20ff660d9691c5"
SRCREV_FORMAT .= "+third_party_xkeyboardconfig"
SRC_URI += "${GITEE_URL}/third_party_zlib.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=third_party_zlib;destsuffix=${OH_SRCDIR}/third_party/zlib"
SRCREV_third_party_zlib = "ae017ea807d6418e1c1627f975f65645a76eee6c"
SRCREV_FORMAT .= "+third_party_zlib"
SRC_URI += "${GITEE_URL}/utils.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=utils;destsuffix=${OH_SRCDIR}/utils"
SRCREV_utils = "c6790398d23b88b3f421a0454553f927cde16cde"
SRCREV_FORMAT .= "+utils"
SRC_URI += "${GITEE_URL}/utils_native.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=utils_native;destsuffix=${OH_SRCDIR}/utils/native"
SRCREV_utils_native = "72b83a79b468d8aa2b4efa4bf040583d87577897"
SRCREV_FORMAT .= "+utils_native"
SRC_URI += "${GITEE_URL}/resources.git;protocol=https;nobranch=1;branch=OpenHarmony-v3.1.1-Release;name=resources;destsuffix=${OH_SRCDIR}/utils/resources"
SRCREV_resources = "34a081b0db3c356bd1d1e77e5b1b37127115a181"
SRCREV_FORMAT .= "+resources"

SRC_URI += "https://repo.huaweicloud.com/harmonyos/compiler/restool/2.007/restool-2.007.tar.gz;name=restool;subdir=${OH_SRCDIR}/prebuilts/build-tools/common"
SRC_URI[restool.sha256sum] = "4cd763315d80ceecbde5f64f20252d7edf89f0083ac7c1794b12fbe556a9b826"

# These premirrors are used to fetch npm packages that are usually
# downloaded with 'npm install' from the 'build/prebuilts_download.sh'
# script. The main reason is because of the volatility of npm repos
# but also because these particular registry servers don't handle
# quoted characters correctly in URIs, i.e. when '@' is quoted as '%40'
PREMIRRORS:append = " \
    https://registry.npm.taobao.org/.*  http://114.116.235.68/source-mirror/ \n \
    https://registry.nlark.com/.*       http://114.116.235.68/source-mirror/ \n \
    https://registry.npmmirror.com/.*   http://114.116.235.68/source-mirror/ \n \
    https://registry.npmjs.org/.*       http://114.116.235.68/source-mirror/ \n \
    https://repo.huaweicloud.com/.*     http://114.116.235.68/source-mirror/ \n \
    "

# NPM package shrinkwrap files. These files describe all dependencies
# needed by a npm package usually downloaded and installed by the
# command 'npm install'
SRC_URI += "npmsw://${THISDIR}/openharmony-${OPENHARMONY_VERSION}/npm-shrinkwrap_jsframework.json;dev=1;destsuffix=${OH_SRCDIR}/third_party/jsframework"
SRC_URI += "npmsw://${THISDIR}/openharmony-${OPENHARMONY_VERSION}/npm-shrinkwrap_ace-ets2bundle-compiler.json;dev=1;destsuffix=${OH_SRCDIR}/developtools/ace-ets2bundle/compiler"
SRC_URI += "npmsw://${THISDIR}/openharmony-${OPENHARMONY_VERSION}/npm-shrinkwrap_ace-js2bundle-ace-loader.json;dev=1;destsuffix=${OH_SRCDIR}/developtools/ace-js2bundle/ace-loader"
SRC_URI += "npmsw://${THISDIR}/openharmony-${OPENHARMONY_VERSION}/npm-shrinkwrap_ts2panda.json;dev=1;destsuffix=${OH_SRCDIR}/ark/ts2abc/ts2panda"

# Allow network connectivity from do_unpack() task. This is needed for
# git lfs operations that are executed within do_unpack()
do_unpack[network] = "1"

npm_rebuild() {
    cd ${S}/third_party/jsframework/
    npm rebuild
    mkdir -p ${S}/prebuilts/build-tools/common/js-framework
    cp -rf ${S}/third_party/jsframework/node_modules ${S}/prebuilts/build-tools/common/js-framework/

    cd ${S}/developtools/ace-ets2bundle/compiler
    npm rebuild

    cd ${S}/developtools/ace-js2bundle/ace-loader
    npm rebuild

    cd ${S}/ark/ts2abc/ts2panda
    npm rebuild
    mkdir -p ${S}/prebuilts/build-tools/common/ts2abc
    cp -rf ${S}/ark/ts2abc/ts2panda/node_modules ${S}/prebuilts/build-tools/common/ts2abc/
}

do_configure[prefuncs] += "npm_rebuild"

# Create symlinks as done by the OpenHarmony repo manifest
create_symlinks() {
    if [ -f "${S}/build/core/gn/dotfile.gn" ]; then
        ln -sf "build/core/gn/dotfile.gn" "${S}/.gn"
    fi

    if [ -f "${S}/build/lite/build.py" ]; then
        ln -sf "build/lite/build.py" "${S}/build.py"
    fi

    if [ -f "${S}/build/build_scripts/build.sh" ]; then
        ln -sf "build/build_scripts/build.sh" "${S}/build.sh"
    fi

    if [ -f "${S}/test/xts/tools/build/ohos.build" ]; then
        ln -sf "tools/build/ohos.build" "${S}/test/xts/ohos.build"
    fi
}

do_unpack[postfuncs] += "create_symlinks"

require oniro-prebuilts.inc
